#### Description:

This function exports an Object pointer from the current AST context into the context that encloses the current one. This means that the pointer will no longer be annulled when the current context is ended (with astEnd), but only when the next outer context (if any) ends.

#### Synopsis

void astExport( AstObject ∗this )

#### Parameters:

##### this

Object pointer to be exported.

#### Applicability

##### Object

This function applies to all Objects.

#### Notes:

- It is only sensible to apply this function to pointers that have been created within (or exported to) the current context and have not been rendered exempt using astExempt. Applying it to an unsuitable Object pointer has no effect.

Copyright (C) 2021 East Asian Observatory